<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMechanicsBalancedGroup Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMechanicsBalancedGroup Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMechanicsBalancedGroup" --><!-- doxytag: inherits="iBase" -->
<p>Property class representing a balanced group of thrusters that can translate or rotate the object in a certain axis.  
 <a href="structiPcMechanicsBalancedGroup.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechthruster_8h_source.html">propclass/mechthruster.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMechanicsBalancedGroup:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMechanicsBalancedGroup.png" usemap="#iPcMechanicsBalancedGroup_map" alt=""/>
  <map id="iPcMechanicsBalancedGroup_map" name="iPcMechanicsBalancedGroup_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,180,24"/>
</map>
 </div></div>

<p><a href="structiPcMechanicsBalancedGroup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#aa1b34dc23fa88dd1cee99e81c683e51d">AddThruster</a> (<a class="el" href="structiPcMechanicsThruster.html">iPcMechanicsThruster</a> *thruster, float multiplier)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a thruster to this thruster group.  <a href="#aa1b34dc23fa88dd1cee99e81c683e51d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a1d1c77a7d14d1cc098e9e179260ef0a5">AvailableThrust</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What is the maximum amount of thrust that can be applied to the thrusters in this group?  <a href="#a1d1c77a7d14d1cc098e9e179260ef0a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#ab5f4359cd1d1622825b5ccac5f276f65">AvailableThrustForce</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of force that the maximum thrust for this group would produce.  <a href="#ab5f4359cd1d1622825b5ccac5f276f65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a12508b3b8709b53f08311eebb5f1259c">ChangeThrust</a> (float deltathrust)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply the given thrust to all thrusters in this balanced group.  <a href="#a12508b3b8709b53f08311eebb5f1259c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMechanicsThruster.html">iPcMechanicsThruster</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a41038b37a0bac4e3da9cd9122b759311">GetThruster</a> (const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated thruster.  <a href="#a41038b37a0bac4e3da9cd9122b759311"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual celAxisType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a7fd7f7a60659c03d5158bd46b8977361">GetType</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get this group's type.  <a href="#a7fd7f7a60659c03d5158bd46b8977361"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a7883a19325035c5aece3e1b03f12ff7c">RemoveThruster</a> (const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a thruster.  <a href="#a7883a19325035c5aece3e1b03f12ff7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsBalancedGroup.html#a0ab8c864802e579d1f429429e2df8a16">SetType</a> (celAxisType type)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set this group's type.  <a href="#a0ab8c864802e579d1f429429e2df8a16"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Property class representing a balanced group of thrusters that can translate or rotate the object in a certain axis. </p>
<p>This property class supports the following actions (add prefix 'cel.mechanics.group.action.' if you want to access this action through a message):</p>
<ul>
<li>SetType: parameters 'type' (string, "rotation" or "translation").</li>
<li>AddThruster: parameters 'thrusterpctag' (string), 'multiplier' (float). </li>
</ul>

<p>Definition at line <a class="el" href="mechthruster_8h_source.html#l00133">133</a> of file <a class="el" href="mechthruster_8h_source.html">mechthruster.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa1b34dc23fa88dd1cee99e81c683e51d"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::AddThruster" ref="aa1b34dc23fa88dd1cee99e81c683e51d" args="(iPcMechanicsThruster *thruster, float multiplier)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsBalancedGroup.html#aa1b34dc23fa88dd1cee99e81c683e51d">iPcMechanicsBalancedGroup::AddThruster</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsThruster.html">iPcMechanicsThruster</a> *&#160;</td>
          <td class="paramname"><em>thruster</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>multiplier</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a thruster to this thruster group. </p>
<p>At least one is required. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">thruster</td><td>the thruster to add to this group. </td></tr>
    <tr><td class="paramname">multiplier</td><td>the percentage of the maximum thrust of this thruster to use when activated through this balanced group. (must be &gt;0 and &lt;=1) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1d1c77a7d14d1cc098e9e179260ef0a5"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::AvailableThrust" ref="a1d1c77a7d14d1cc098e9e179260ef0a5" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsBalancedGroup.html#a1d1c77a7d14d1cc098e9e179260ef0a5">iPcMechanicsBalancedGroup::AvailableThrust</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What is the maximum amount of thrust that can be applied to the thrusters in this group? </p>

</div>
</div>
<a class="anchor" id="ab5f4359cd1d1622825b5ccac5f276f65"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::AvailableThrustForce" ref="ab5f4359cd1d1622825b5ccac5f276f65" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsBalancedGroup.html#ab5f4359cd1d1622825b5ccac5f276f65">iPcMechanicsBalancedGroup::AvailableThrustForce</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the amount of force that the maximum thrust for this group would produce. </p>

</div>
</div>
<a class="anchor" id="a12508b3b8709b53f08311eebb5f1259c"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::ChangeThrust" ref="a12508b3b8709b53f08311eebb5f1259c" args="(float deltathrust)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsBalancedGroup.html#a12508b3b8709b53f08311eebb5f1259c">iPcMechanicsBalancedGroup::ChangeThrust</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deltathrust</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Apply the given thrust to all thrusters in this balanced group. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">deltathrust</td><td>the amount of thrust to apply. (must be &gt; 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a41038b37a0bac4e3da9cd9122b759311"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::GetThruster" ref="a41038b37a0bac4e3da9cd9122b759311" args="(const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMechanicsThruster.html">iPcMechanicsThruster</a>* <a class="el" href="structiPcMechanicsBalancedGroup.html#a41038b37a0bac4e3da9cd9122b759311">iPcMechanicsBalancedGroup::GetThruster</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated thruster. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>the tag of the thruster to retrieve from the group. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7fd7f7a60659c03d5158bd46b8977361"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::GetType" ref="a7fd7f7a60659c03d5158bd46b8977361" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual celAxisType <a class="el" href="structiPcMechanicsBalancedGroup.html#a7fd7f7a60659c03d5158bd46b8977361">iPcMechanicsBalancedGroup::GetType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get this group's type. </p>

</div>
</div>
<a class="anchor" id="a7883a19325035c5aece3e1b03f12ff7c"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::RemoveThruster" ref="a7883a19325035c5aece3e1b03f12ff7c" args="(const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsBalancedGroup.html#a7883a19325035c5aece3e1b03f12ff7c">iPcMechanicsBalancedGroup::RemoveThruster</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a thruster. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>the tag of the thruster to add to the group. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0ab8c864802e579d1f429429e2df8a16"></a><!-- doxytag: member="iPcMechanicsBalancedGroup::SetType" ref="a0ab8c864802e579d1f429429e2df8a16" args="(celAxisType type)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsBalancedGroup.html#a0ab8c864802e579d1f429429e2df8a16">iPcMechanicsBalancedGroup::SetType</a> </td>
          <td>(</td>
          <td class="paramtype">celAxisType&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set this group's type. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>one of celAxisType, the type of thruster this is. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechthruster_8h_source.html">mechthruster.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
